- Qt 6.11
- Qt WebView
- C++ Classes
- QWebViewLoadingInfo
- Qt 6.11.1 Reference Documentation

# QWebViewLoadingInfo Class

The class provides load status information for the QWebView::loadingChanged() signal. More...

Header: | `#include <QWebViewLoadingInfo>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS WebView)` `target_link_libraries(mytarget PRIVATE Qt6::WebView)`
qmake: | `QT += webview`
Since: | Qt 6.11

- List of all members, including inherited members

## Public Types

enum class | LoadStatus { Started, Succeeded, Failed, Stopped }

## Properties

- errorString : const QString
- status : const LoadStatus
- url : const QUrl

## Public Functions

QString | errorString() const
QWebViewLoadingInfo::LoadStatus | status() const
void | swap(QWebViewLoadingInfo &other)
QUrl | url() const

## Detailed Description

The QWebViewLoadingInfo type contains load status information for the requested URL.

## Member Type Documentation

### enum class QWebViewLoadingInfo::LoadStatus

This enumeration represents the load status of a web page load request.

Constant | Value | Description
--- | --- | ---
`QWebViewLoadingInfo::LoadStatus::Started` | `0` | The page is currently loading.
`QWebViewLoadingInfo::LoadStatus::Succeeded` | `2` | The page was loaded successfully.
`QWebViewLoadingInfo::LoadStatus::Failed` | `3` | The page could not be loaded.
`QWebViewLoadingInfo::LoadStatus::Stopped` | `1` | The page load was stoped.

See also QWebView::loadingChanged().

## Property Documentation

### `[read-only]` errorString : const QString

Holds the error message.

Holds the error message if the load request failed.

Access functions:

QString | errorString() const

See also QWebView::loadingChanged().

### `[read-only]` status : const LoadStatus

This property holds the status of a web page load request.

This enumeration represents the load status of a web page load request.

Access functions:

QWebViewLoadingInfo::LoadStatus | status() const

See also QWebView::loadingChanged().

### `[read-only]` url : const QUrl

This property holds the URL of the load request. The URL of the load request.

Access functions:

QUrl | url() const

See also QWebView::url.

## Member Function Documentation

### `[noexcept]` void QWebViewLoadingInfo::swap(QWebViewLoadingInfo &other)

Swaps this loading info with other. This operation is very fast and never fails.